﻿using System.IO;
using System.Reflection;
using System.Windows;
using WpfBindingCommon;

namespace WpfBindingTest
{
    /// <summary>
    /// Interaction logic for App.xaml
    /// </summary>
    public partial class App : Application
    {
        private void Application_Startup(object sender, StartupEventArgs e)
        {
            string assemblyLocation = Path.GetDirectoryName(Assembly.GetEntryAssembly().Location);
            MefCompositionContainer.Instance.AddAssembly(Path.Combine(assemblyLocation, "WpfBindingPll.dll"));
        }
    }
}
