﻿using System.ComponentModel.Composition;
using System.Windows;
using WpfBindingCommon;
using WpfBindingPll;

namespace WpfBindingTest
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        [Import]
        private ViewModel ViewModel
        {
            get { return DataContext as ViewModel; }
            set { DataContext = value; }
        }

        public MainWindow()
        {
            MefCompositionContainer.Instance.Compose(this);
            InitializeComponent();
        }
    }
}
